<?php
// Кто в локации 
if(!$user){header("Location: index.php?l=main"); exit;} //Выброс неавторизованных
$locat=mysql_fetch_array(mysql_query("SELECT * FROM `location` WHERE `id`='$user[locatid]' LIMIT 1"),MYSQL_ASSOC);
// Выборка монстров
$MONSTR=array();
$MONSTR=eject_coord_base($locat['monstr']);
// Выборка пользователей
$t_up=$s_time-300;
$players=mysql_query("SELECT * FROM `user` WHERE `locatid`='$locat[id]' AND `uptime`>'$t_up' ORDER BY `uptime` DESC");
// Шапка
$_SESSION['title']="$locat[name]";
heads($headers_page, $set_ob_start);   //подключение шапки
//
echo "<div class='menu'>";
if($locat['fraktion'])echo "Под контролем фракции $locat[fraktion]<br /> ";

if(!$locat['emission']){echo "Защищает от выброса<br /> ";}else{echo "Не защищает от выброса<br /> ";}
if($locat['active']){echo "Захват локации возможен<br /> ";}else{echo "Захват локации не возможен<br /> ";}
echo "Частота вещания $locat[id]#%<br />";
echo "</div>";
echo "<div class='c07'>Кто в локации</div>";
//
echo "<div class='c03'>";
if (mysql_num_rows($players))
{

  while($data=mysql_fetch_array($players))
  {
    echo "<a href='?l=uinf&id=$data[id]'>[$data[level]] $data[login]</a><br />";
  }

}
// вывод монтсров
if ($MONSTR)
{
$monstrs=file(H."/#dat/monster.dat");
$m_info=array();
foreach($monstrs as $k=>$v)
{
$_t_monstr=explode(':',trim($v));
$m_info[$_t_monstr['0']]=$_t_monstr['1'];
}
  foreach ($MONSTR as $k=>$v)
  {
    if(isset($m_info[$v]))
      {
        echo "<a href='?l=minf&m=$v'>[?] $m_info[$v]</a><br />";
      }  
  }
}
echo "</div>";
//
echo "<div class='menu'><a href='?l=locat'>вернуться</a></div>"; 
?>
